=== debian/changelog ===
wmanager (0.2.1-11) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 20:18:01 +0200

wmanager (0.2.1-10) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Use bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 with no changes.
  * Harden the build by default and use hardening-includes instead of
    the hardening-wrapper.
  * Use := instead of = to optimize some shell invocations in the rules file.
  * Bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 06 Jan 2011 14:50:28 +0200

wmanager (0.2.1-9) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 with no changes.
  * Let wmanagerrc-update use update-alternatives --query, not --display,
    to fix its operation with non-English text.  Closes: #605043

 -- Peter Pentchev <roam@ringlet.net>  Tue, 30 Nov 2010 13:03:14 +0200

wmanager (0.2.1-8) unstable; urgency=low
  
  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert to the 3.0 (quilt) source format.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CXXFLAGS, CPPFLAGS, and LDFLAGS.
  * Simplify the rules file by exporting variables into the environment.
  * Update the copyright file to the latest revision of the DEP 5 format and
    bump the years on my copyright format.
  * Shorten the Vcs-Browser URL.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 29 Jun 2010 00:29:44 +0300

wmanager (0.2.1-7) unstable; urgency=low

  * Let wmanager-loop honor the WM environment variable, if set, to
    specify the first window manager to run.
  * Bump the debhelper version dependency to 7.0.50 because of the use
    of override targets.
  * Bump Standards-Version to 3.8.3 with no changes.
  * Switch the copyright file header from the Wiki page to DEP 5 and
    shorten the file by breaking out the GPL-2+ blurb into its own block.
  * Actually implement the "patch" and "unpatch" targets in the rules file
    since the dh(1) tool does not always provide them.
  * Convert the patch file headers to DEP 3.
  * Only enable the build hardening wrapper if "hardening" is specified
    in DEB_BUILD_OPTIONS.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Sep 2009 18:02:52 +0300

wmanager (0.2.1-6) unstable; urgency=low

  * Switch to quilt for patch management:
    - change the patches' naming scheme
    - reformat the comment headers
    - update the README.source file
    - use the quilt plugin for debhelper in the rules file
  * Refresh the copyright file a bit:
    - move the homepage from Original-Source-Location to the control file's
      Homepage field.
    - remove the redundant Packaged-By and Packaged-Date fields
    - bump the CopyrightFormat proposal revision a bit
    - bump the year of my copyright notice for the Debian packaging
  * Add misc:Depends to the binary package.
  * Bump Standards-Version to 3.8.2 with no changes.
  * Move the various lists of installed files to debian/wmanager.*
  * Update a comment in the rules file - GCC 4.3 is the default now :)
  * Remove some cruft from the rules file.
  * Minimize the rules file using debhelper override targets.
  * Add the Vcs-Svn and Vcs-Browser control fields.
  * Make the short description a noun phrase.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 17 Jun 2009 12:27:01 +0300

wmanager (0.2.1-5) unstable; urgency=low

  * debian/rules
    - do not install the virtually empty FAQ file.  Closes: #489056
    - harden the build unless "nohardening" is in DEB_BUILD_OPTIONS
    - use "filter" instead of "findstring" to parse DEB_BUILD_OPTIONS

 -- Peter Pentchev <roam@ringlet.net>  Thu, 03 Jul 2008 18:05:02 +0300

wmanager (0.2.1-4) unstable; urgency=low

  * Convert the package build to debhelper, minimizing the rules file.
  * Convert the copyright file to the new format.
  * The wmanager home site has risen from the dead, so add a watchfile.
  * Convert the manual pages to mdoc format.
  * Make the support scripts a bit more portable.

  * debian/README.source
    - create this file and note the use of dpatch
  * debian/compat
    - create this file and specify compatibility level 7
  * debian/control
    - add a build-time dependency on debhelper 7
    - bump standards version to 3.8.0
      - README.source
    - drop the perl5 dependency - no more POD-to-man conversions
  * debian/copyright
    - converted to the new machine-readable format
  * debian/patches/04_makefile.dpatch
    - always use the C++ compiler warning flags
  * debian/postinst
    - add the #DEBHELPER# marker
  * debian/postrm
    - add the #DEBHELPER# marker
  * debian/rules
    - use the debhelper programs for most tasks
    - let dh_strip handle the "noopt" and "nostrip" DEB_BUILD_OPTIONS
    - use $(CURDIR) instead of `pwd`
  * debian/watch
    - create this file and do weird things to the "021" upstream version
  * debian/wmanager.1
    debian/wmanager-loop.1
    debian/wmanagerrc-update.1
    - rewrite the POD documentation into real mdoc manual pages
  * debian/wmanager.pod
    debian/wmanager-loop.pod
    debian/wmanagerrc-update.pod
    - remove these files after replacing them with mdoc versions
  * debian/wmanager-loop
    - look for other terminals if x-terminal-emulator is not found;
      this is a no-op for Debian systems, yet allows this script to be
      used unaltered on other OS's
    - fix a typo in the program name
    - add my copyright notice
  * debian/wmanagerrc-update
    - only use update-alternatives if it is actually available;
      this is a no-op for Debian systems, yet allows this script to be
      used unaltered on other OS's
    - add my copyright notice

 -- Peter Pentchev <roam@ringlet.net>  Wed, 02 Jul 2008 18:57:17 +0300

wmanager (0.2.1-3) unstable; urgency=low

  * New maintainer.  Closes: #455007.
  * Switch to dpatch.

