=== debian/control ===
Source: wmanager
Section: x11
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.15.7~), hardening-includes,
	libfltk1.1-dev
Homepage: http://www.daemogorgon.net/software/wmanager/
Vcs-Git: git://gitorious.org/wmanager/wmanager-pkg-debian/
Vcs-Browser: http://gitorious.org/wmanager/wmanager-pkg-debian/

Package: wmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl5, chase
Suggests: menu (>> 2.1.26)
Description: window-manager selection tool used at X startup
 wmanager is a small X11 application for selecting a window manager
 at X startup. wmanager looks for a file named '.wmmanagerrc' in
 the user's home directory which contains a list of window managers;
 you can create such a file with wmanagerrc-update. You can also use
 wmanager-loop that runs window managers chosen by the user until
 told to exit.
