=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS:=	$(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS:=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=	$(shell dpkg-buildflags --get LDFLAGS)

CXX=		g++
# Use this for QA tests with newer versions of GCC
#CXX=		g++-snapshot

CXXFLAGS_WARN=	-Wall -W -pipe
LDFLAGS+=	-g -lfltk
STRIP=
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS_WARN+=	-Werror
endif

include /usr/share/hardening-includes/hardening.make
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
CXXFLAGS+=	$(HARDENING_CFLAGS)
LDFLAGS+=	$(HARDENING_LDFLAGS)
endif

export CXX CPPFLAGS CXXFLAGS CXXFLAGS_WARN LDFLAGS STRIP

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@
