=== debian/watch ===
version=3
opts="uversionmangle=s/([0-9])(?!$)/$1./g" \
http://www.daemogorgon.net/software/wmanager/ http://www.daemogorgon.net/wp-content/uploads/wmanager_([0-9]+).tgz
