=== debian/changelog ===
wmanager (0.2.2-1) unstable; urgency=medium

  * Point the Vcs-* fields to my new full-source GitLab repository.
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Bump the year on my debian/* copyright notice.
  * Point the watch file to wmanager's new home at the Ringlet website
    and add the upstream PGP key to check against.
  * Let the watch file recognize wmanager release candidate versions.
  * Bump the debhelper compatibility level to 10 and drop the --parallel
    option, it's on by default now.
  * Point the homepage, the upstream metadata file, and the copyright
    file's Source header field to the new Ringlet website.
  * Switch the copyright format specification URL to the HTTPS scheme.
  * New upstream release:
    - drop all the patches, integrated upstream
    - update the upstream copyright information
    - drop the manual page and the wmanager-loop and wmanagerrc-update
      tools, they were imported into the upstream distribution

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 Nov 2016 01:03:04 +0200

wmanager (0.2.1-14) unstable; urgency=medium

  * Remove the manual update-menus calls in the postinst and postrm
    scripts; the debhelper snippets will take care of this.
    Incidentally, the manual invocations break with "set -e" if
    update-menus is not installed; Closes: #810336

 -- Peter Pentchev <roam@ringlet.net>  Tue, 12 Jan 2016 13:21:33 +0200

wmanager (0.2.1-13) unstable; urgency=medium

  * Bump the debhelper compatibility level to 9:
    - use debhelper's invocation of dpkg-buildflags, drop the versioned
      build dependency on dpkg-dev
    - use dpkg-buildflags's hardening flags, drop the build dependency
      on hardening-includes
  * Add the 05-strdup patch, replacing two unguarded uses of strcpy()
    with strdup().  Arguably the strcpy() uses were safe enough, but
    there's no harm in using strdup() and removing a Lintian warning.
  * Bump Standards-Version to 3.9.6:
    - drop the DM-Upload-Allowed field
  * Split the DEP-3 author information into several Author fields for
    the patches with multiple authors.
  * Update the copyright file to the 1.0 format and bump the years of
    my Debian packaging copyright notice.
  * Rewrite wmanagerrc-update in pure Perl, replace the perl5 and chase
    dependencies with perl:Depends.  Incidentally, Closes: #808387
  * Drop the version from the 'menu' suggestion, satisfied in oldstable.
  * Add the debian/upstream/metadata file.
  * Add Multi-Arch: foreign to the binary package.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Add --parallel to the debhelper invocation.
  * Switch the Vcs-Git and Vcs-Browser URLs to my GitLab repository.
  * Do not use the full path to update-menus.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 19 Dec 2015 16:23:54 +0200

wmanager (0.2.1-12) unstable; urgency=medium

  * Do not use the obsolete and incorrect full path to update-alternatives
    in wmanagerrc-update.  Closes: #769966
    Thanks, Guillem Jover <guillem@debian.org>

 -- Peter Pentchev <roam@ringlet.net>  Thu, 27 Nov 2014 10:52:01 +0200
