=== debian/control ===
Source: wmanager
Section: x11
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Standards-Version: 3.9.8
Build-Depends: debhelper (>> 10), libfltk1.1-dev
Homepage: https://devel.ringlet.net/x11/wmanager/
Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian
Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian

Package: wmanager
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: menu
Description: window-manager selection tool used at X startup
 wmanager is a small X11 application for selecting a window manager
 at X startup. wmanager looks for a file named '.wmmanagerrc' in
 the user's home directory which contains a list of window managers;
 you can create such a file with wmanagerrc-update. You can also use
 wmanager-loop that runs window managers chosen by the user until
 told to exit.
