=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

CXX=		g++
# Use this for QA tests with newer versions of GCC
#CXX=		g++-snapshot

CXXFLAGS_WARN=	-Wall -W -pipe
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS_WARN+=	-Werror
endif

DEB_LDFLAGS_MAINT_APPEND=	-g -lfltk
STRIP=

export CXX CXXFLAGS_WARN DEB_LDFLAGS_MAINT_APPEND STRIP

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

%:
	dh $@
