=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/ \
https://devel.ringlet.net/x11/wmanager/ (?:/files/x11/wmanager/)?wmanager-([\w\d.]+).tar.(?:xz|bz2|gz)
