## wmanager 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for WManager
 #
 # Copyright (C) 1999  M. Tessmer
-# Copyright (C) 2016  Peter Pentchev
+# Copyright (C) 2016, 2020  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -98,7 +98,7 @@
 UPD1Z	= ${UPD1}.gz
 
 # project version
-VERSION = 0.2.2
+VERSION = 0.3.0
 
 all:	${PROG} ${MAN1Z} ${LOOP1Z} ${UPD1Z}
 
@@ -113,6 +113,13 @@
 
 ${UPD1Z}:	${UPD1}
 	${GZIP} ${GZIP_N} ${GZIP_C} ${UPD1} > $@ || (${RM} $@; false)
+
+test:	all
+	[ -n "$$(command -v xvfb-run)" ]
+	[ -n "$$(command -v xauth)" ]
+	[ -n "$$(command -v xev)" ]
+	[ -n "$$(command -v cnee)" ]
+	env PATH="$$(pwd):$$PATH" xvfb-run -a -- tests/wmseq
 
 install: all
 	${MKDIR} ${DESTDIR}${bindir}
