=== debian/changelog ===
wmanager (0.3.0-2ubuntu1) impish; urgency=medium

  * d/p/0001-Fix-out-of-bounds.patch: fix a bug revealed by the glibc 2.34
    upgrade. LP: #1940816

 -- -- Simon Chopin <simon.chopin@canonical.com>  Mon, 23 Aug 2021 09:48:18 +0200

wmanager (0.3.0-2) unstable; urgency=medium

  * Build with FLTK 1.3 instead of 1.1.

 -- Peter Pentchev <roam@debian.org>  Wed, 11 Nov 2020 11:03:51 +0200

wmanager (0.3.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the Name and Contact upstream metadata fields.
  * New upstream release:
    - allow an equals sign in the window manager path
    - include a runtime test for the wmanager program
  * Run the upstream test during the build, adding the necessary
    build dependencies (cnee, python3, x11-utils, xauth, xvfb).
  * Add an autopkgtest invoking the upstream runtime test.
  * Bump the debhelper compatibility level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 16 Jul 2020 00:14:25 +0300

wmanager (0.2.2-5) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 15:22:07 +0200

wmanager (0.2.2-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 17:40:09 +0200

wmanager (0.2.2-3) unstable; urgency=medium

  * Use my Debian address as maintainer.
  * Drop the two blank lines at the end of the debian/changelog file.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * Bring up to compliance with Debian Policy 4.2.1: install the HISTORY
    file as NEWS, not changelog, and no longer install the long, long
    outdated upstream NEWS file.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sun, 16 Dec 2018 02:18:54 +0200

wmanager (0.2.2-2) unstable; urgency=medium

  * Upgrade the watch file to version 4 of the format and use
    substitution variables.
  * Bump the year on my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Remove trailing whitespace from an old changelog entry.
  * Bump the debhelper compatibility level to 11 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's install(1) invocations.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 09 Jan 2018 16:25:26 +0200
