=== debian/control ===
--- 
+++ 
@@ -1,12 +1,21 @@
 Source: wmanager
 Section: x11
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>> 10), libfltk1.1-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cnee,
+ libfltk1.3-dev,
+ python3,
+ x11-utils,
+ xauth,
+ xvfb,
 Homepage: https://devel.ringlet.net/x11/wmanager/
-Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian
-Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian
+Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian/master
+Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian/master
+Rules-Requires-Root: no
 
 Package: wmanager
 Architecture: any
