=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,18 @@
 export CXX CXXFLAGS_WARN DEB_LDFLAGS_MAINT_APPEND STRIP
 
 override_dh_auto_test:
+	# I forgot to add this upstream...
+	env PYTHONUNBUFFERED=1 dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install -- \
+		INSTALL_PROGRAM='install -m 755' \
+		INSTALL_SCRIPT='install -m 755' \
+		INSTALL_DATA='install -m 644'
 
 override_dh_installchangelogs:
-	dh_installchangelogs HISTORY
+	dh_installchangelogs -X HISTORY -X NEWS
+	install -m 644 HISTORY debian/wmanager/usr/share/doc/wmanager/NEWS
 
 %:
 	dh $@
