## wmanager 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for WManager
 #
 # Copyright (C) 1999  M. Tessmer
-# Copyright (C) 2016, 2020  Peter Pentchev
+# Copyright (C) 2016, 2020, 2022  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -98,7 +98,7 @@
 UPD1Z	= ${UPD1}.gz
 
 # project version
-VERSION = 0.3.0
+VERSION = 0.3.1
 
 all:	${PROG} ${MAN1Z} ${LOOP1Z} ${UPD1Z}
