=== debian/changelog ===
wmanager (0.3.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:35:49 +1100

wmanager (0.3.1-2build1) noble; urgency=high

  * No change rebuild against libfltk1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:32 +0100

wmanager (0.3.1-2) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Annotate the test-related build dependencies with <!nocheck>.
  * Use dh-package-notes to record ELF package metadata.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 17:24:32 +0200

wmanager (0.3.1-1) unstable; urgency=medium

  * Add the year 2021 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release:
    - fixes an out-of-bounds memory write in option parsing;
      Closes: #1016540

 -- Peter Pentchev <roam@debian.org>  Wed, 10 Aug 2022 13:09:56 +0300
