=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
- cnee,
+ dh-package-notes,
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ cnee <!nocheck>,
  libfltk1.3-dev,
- python3,
- x11-utils,
- xauth,
- xvfb,
+ python3 <!nocheck>,
+ x11-utils <!nocheck>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
 Homepage: https://devel.ringlet.net/x11/wmanager/
 Vcs-Git: https://gitlab.com/wmanager/wmanager.git -b debian/master
 Vcs-Browser: https://gitlab.com/wmanager/wmanager/tree/debian/master
-Rules-Requires-Root: no
 
 Package: wmanager
 Architecture: any
