=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 
 export CXX CXXFLAGS_WARN DEB_LDFLAGS_MAINT_APPEND STRIP
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 override_dh_auto_test:
 	# I forgot to add this upstream...
 	env PYTHONUNBUFFERED=1 dh_auto_test
