=== debian/tests/control ===
Test-Command: env PYTHONUNBUFFERED=1 xvfb-run -a -- tests/wmseq
Depends: @, cnee, python3, x11-utils, xauth, xvfb
Features: test-name=wmseq
