=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/\.rc/~rc/ \
https://devel.ringlet.net/x11/wmanager/ (?:/files/x11/wmanager/)?wmanager-@ANY_VERSION@@ARCHIVE_EXT@
